package com.jsowell.common.enums.adapay;

/**
 * 审核状态
 */
public enum AdapayAuditStateEnum {
    AWAIT_AUDIT("A", "待审核"),
    AUDIT_FAILED("B", "审核失败"),
    ACCOUNT_OPENING_FAILED("C", "开户失败"),
    ACCOUNT_OPENED_NO_SETTLEMENT_ACCOUNT("D", "开户成功但未创建结算账户"),
    ACCOUNT_SUCCESSFUL("E", "开户和创建结算账户成功") //
    ;
    private String value;
    private String label;

    public String getValue() {
        return value;
    }

    public void setValue(String value) {
        this.value = value;
    }

    public String getLabel() {
        return label;
    }

    public void setLabel(String label) {
        this.label = label;
    }

    AdapayAuditStateEnum(String value, String label) {
        this.value = value;
        this.label = label;
    }
}
